import 'package:collection/collection.dart';

enum DictationInputType {
  text,
  numeric,
}

extension DictationInputTypeExt on DictationInputType {
  String getValue() {
    switch (this) {
      case DictationInputType.text:
        return "text";
      case DictationInputType.numeric:
        return "numeric";
    }
  }
}

DictationInputType? dictationInputTypeFromValue(String? value) {
  return DictationInputType.values.firstWhereOrNull((e) => e.getValue() == value);
}
